package solutions.bitbadger.documents.common

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import kotlin.test.assertEquals
import kotlin.test.assertNotNull

class AutoIdTest {

    @Test
    @DisplayName("Generates a UUID string")
    fun testGenerateUUID() {
        val generated = AutoId.generateUUID()
        assertNotNull(generated, "The UUID string should not have been null")
        assertEquals(32, generated.length, "The UUID should have been a 32-character string")
    }
}