package solutions.bitbadger.documents.common

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import kotlin.test.assertEquals
import kotlin.test.assertNull

class FieldTest {

    @Test
    @DisplayName("Equal constructs a field")
    fun equalCtor() {
        val field = Field.Equal("Test", 14)
        assertEquals("Test", field.name, "Field name not filled correctly")
        assertEquals(Op.EQUAL, field.comparison.op, "Field comparison operation not filled correctly")
        assertEquals(14, field.comparison.value, "Field comparison value not filled correctly")
        assertNull(field.parameterName, "The parameter name should have been null")
        assertNull(field.qualifier, "The qualifier should have been null")
    }
}
